## readline 8.3~rc2

=== debian/changelog ===
readline (8.3~rc2-1) experimental; urgency=medium

  * New upstream 8.3 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jun 2025 11:04:58 +0200

readline (8.3~rc1-1) experimental; urgency=medium

  * New upstream 8.3 release candidate.
  * Bump standards version.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 10:48:44 +0200

readline (8.3~beta1-1) experimental; urgency=medium

  * New upstream 8.3 beta release.
  * Update symbols files.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Jan 2025 14:38:14 +0100

readline (8.3~alpha1-2) experimental; urgency=medium

  * Move lib64 libraries to /usr (Helmut Grohne). Closes: #1088046.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Nov 2024 14:02:14 +0100
