## readline 8.3

=== debian/changelog ===
readline (8.3-3) unstable; urgency=medium

  * Fix segfault, reported for iwd. Closes: #1114021.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Sep 2025 11:35:13 +0200

readline (8.3-2) unstable; urgency=medium

  * Apply upstream patches 001. Closes: #1111639.
  * Builds with GCC 15. Closes: #1097778.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Aug 2025 15:09:37 +0200

readline (8.3-1) experimental; urgency=medium

  * New upstream 8.3 release.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2025 14:19:54 +0200
