=== debian/watch ===
version=4
opts="uversionmangle=s%-((alpha|beta|rc)\d?)%~$1%" \
http://ftp.gnu.org/gnu/readline/ (?:|.*/)readline(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
